=== debian/changelog ===
tcl8.4 (8.4.19-5ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pacify _FORTIFY_SOURCE.
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 00:27:57 +0000

tcl8.4 (8.4.19-5) unstable; urgency=low

  * Moved /usr/share/tcltk/tcl8.4/tclConfig.sh back to the /usr/lib/tcl8.4
    directory because it is architecture dependent.
  * Removed Chris Waters wrom the uploaders list (closes: #664111).
  * Renamed suggested dependency to tcl-tclreadline.
  * Added ${misc:Depends} substitution variable to debian/control because the
    package uses debhelper.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 May 2012 16:31:52 +0400

tcl8.4 (8.4.19-4ubuntu4) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 02:08:22 +0100

tcl8.4 (8.4.19-4ubuntu3) natty; urgency=low

  * Pass CC to compiler and set ac_cv variables, to allow cross builds -
    see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597708

 -- Peter Pearse <peter.pearse@linaro.org>  Thu, 10 Feb 2011 09:26:48 +0000

tcl8.4 (8.4.19-4ubuntu2) natty; urgency=low

  * Update patch fortify-source to use a cleaner fix from upstream (use memcpy
    instead of strcpy); see SF #3127687; LP: #683546.

 -- Loïc Minier <loic.minier@linaro.org>  Mon, 06 Dec 2010 01:27:25 +0100

tcl8.4 (8.4.19-4ubuntu1) natty; urgency=low

  * New patch, fortify-source, pass -U_FORTIFY_SOURCE when building
    generic/tclCmdMZ.c to workaround a false positive; see LP #683546.

 -- Loïc Minier <loic.minier@linaro.org>  Sun, 05 Dec 2010 00:32:38 +0100

tcl8.4 (8.4.19-4build1) natty; urgency=low

  * No-change upload to drop sizable upstream changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Nov 2010 11:39:44 +0100

tcl8.4 (8.4.19-4) unstable; urgency=low

  * Removed Anselm Lingnau from uploaders list (closes: #540848).
  * Protected quilt calls in debian/rules to make conversion to source
    format 3.0 (quilt) possible (closes: #484913).
  * Added README.source which describes how to work with quilt.
  * Use SourceForge redirector in debian/watch uscan control file.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Sep 2009 11:34:08 +0400

tcl8.4 (8.4.19-3) unstable; urgency=low

  * Don't remove tclsh alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:35:09 +0300

tcl8.4 (8.4.19-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 May 2008 12:13:47 +0400

tcl8.4 (8.4.19-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Apr 2008 18:09:51 +0400

tcl8.4 (8.4.18-3) unstable; urgency=low

  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure
    (closes: #467397, #476015).
  * Explicitly specified configure options --host and --build to make build
    results more predictable.
  * Cleaned up debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2008 23:01:19 +0400

tcl8.4 (8.4.18-2) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Feb 2008 01:39:26 +0300

tcl8.4 (8.4.18-1) experimental; urgency=low

  * New upstream release.
  * Overridden lintian warning package-name-doesnt-match-sonames since tcl8.4
    package contains not only a library, and it's unreasonable to split it
    into smaller parts.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Feb 2008 21:35:49 +0300

tcl8.4 (8.4.17-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jan 2008 02:40:34 +0300

tcl8.4 (8.4.16-4) unstable; urgency=medium

  * Temporarily (until transition to a new Tcl/Tk policy is done) readded
    /usr/lib to TCL_PACKAGE_PATH variable (closes: #451129, #451195).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Nov 2007 08:42:30 +0300

tcl8.4 (8.4.16-3) unstable; urgency=low

  * Fixed tcl8.4-dev.preinst bug in update-alternatives call (ignore return
    value if tcl.m4 alternative doesn't exist already,
    closes: #447310, #447311).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Oct 2007 06:14:00 +0400

tcl8.4 (8.4.16-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Added -fno-unit-at-a-time option to prevent stack corruption in a
    particular use case (closes: #446335).
  * Added /usr/local/lib/tcltk, /usr/local/share/tcltk, /usr/lib/tcltk,
    /usr/share/tcltk to auto_path variable. These directories are to be
    contain Tcl/Tk packages according to upcoming Debian Tcl/Tk Policy
    (preliminary version see at
    http://pkg-tcltk.alioth.debian.org/tcltk-policy.html/)
  * Removed TCL_INC_DIR from tclConfig.sh and tcl.m4.
  * Moved architecture independent files from /usr/lib/tcl8.4 to
    /usr/share/tcltk/tcl8.4. To keep backward compatibility tclConfig.sh is
    linked to /usr/lib/tcl8.4 directory.
  * Fixed bug with update-alternatives in prerm scripts.
  * Removed conflicts with tcl and providing tcl-dev packages from
    debian/control to prepare binary packages for default tcl and tcl-dev.
  * Removed build-essential package from tcl8.4-dev dependencies.
  * Moved tcl.m4 to /usr/share/aclocal/tcl8.4.m4 to make it easier to use
    different versions of tcl.m4.
  * Removed alternative of tcl.m4 (the link to default tcl.m4 is to be

