=== debian/control ===
Source: tcl8.4
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://www.tcl.tk/

Package: tcl8.4
Section: interpreters
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tcl74 (<= 7.4p3-2)
Provides: tclsh
Suggests: tcl-tclreadline
Description: Tcl (the Tool Command Language) v8.4 - run-time files
 Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
 scripting language.  This package contains everything you need to run
 Tcl scripts and Tcl-enabled apps.  This version includes thread support.

Package: tcl8.4-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: tcl8.4
Conflicts: tcldoc, tcl8.3-doc
Provides: tcldoc
Description: Tcl (the Tool Command Language) v8.4 - manual pages
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the man pages for Tcl commands.

Package: tcl8.4-dev
Section: devel
Priority: optional
Architecture: any
Depends: tcl8.4 (= ${binary:Version}), ${misc:Depends}
Suggests: tcl8.4-doc
Description: Tcl (the Tool Command Language) v8.4 - development files
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the headers and libraries
 needed to embed or extend Tcl.
