=== debian/changelog ===
tcl8.4 (8.4.20-8) unstable; urgency=low

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811122).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 12:43:22 +0300

tcl8.4 (8.4.20-7) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 09:18:51 +0400

tcl8.4 (8.4.20-6) experimental; urgency=low

  * Restored tcl8.4.prerm script which removes alternative for
    /usr/bin/tclsh8.4.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 13:08:29 +0400

tcl8.4 (8.4.20-5) experimental; urgency=low

  * Renamed -dev package back to tcl8.4-dev after a discussion on debian-devel
    mailing list.
  * Fixed [:cntrl:] regexp character class by adding missing \u0000-\u001f
    characters range to it.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 20:55:31 +0400

tcl8.4 (8.4.20-4) experimental; urgency=low

  * Removed unnecessary patch for init.tcl.
  * Make libtcl8.4-dev depend on tcl8.4 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:21:54 +0400

tcl8.4 (8.4.20-3) experimental; urgency=low

  * Renamed tcl8.4-lib and tcl8.4-dev packages into libtcl8.4 and
    libtcl8.4-dev to match common practice for packaging interpreters for
    Debian.
  * Fixed multi-arch header for the libtcl8.4-dev package.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 10:43:34 +0400

tcl8.4 (8.4.20-2) experimental; urgency=low

  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tcl8.4-lib
    library package with libtcl8.4.so and tclConfig.sh moved into a
    multi-archified location.
  * Recreated /usr/lib/tcl8.4/tclConfig.sh for backward compatibility
    (intend to remove in the future).
  * Removed .0 suffix from the libtcl8.4.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tcl8.4-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/tclsh. This
    package ships only /usr/bin/tclsh8.4. The tcltk-defaults package provides
    the necessary symlink. This also means that tcl8.4 does no longer provide
    the tclsh virtual package.
  * Moved the old changelogs to the tcl8.4-doc package to reduce size of the
    tcl8.4 one.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 16:36:49 +0400

tcl8.4 (8.4.20-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Pass CC to compiler and set ac_cv variables, to allow cross builds
    (closes: #597708)
  * Don't compress manpages twice during build process.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Jun 2013 21:15:52 +0400
